Apache log4cxx: Thread Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Thread Class Reference

List of all members.

## Detailed Description

This class implements an approximation of java.util.Thread.

## Public Member Functions
| Thread ()
| Create new instance.
| ~Thread ()
| Destructor.
void | run (Runnable start, void *data)
| Runs the specified method on a newly created thread.
void | join ()
bool | isActive ()
void | interrupt ()
| Sets interrupted status to true.
bool | isAlive ()
bool | isCurrentThread () const
void | ending ()
## Static Public Member Functions
static void | sleep (int millis)
| Causes the currently executing thread to sleep for the specified number of milliseconds.
static void | currentThreadInterrupt ()
| Sets interrupted status for current thread to true.
static bool | interrupted ()
| Tests if the current thread has been interrupted and sets the interrupted status to false.
## Classes
class | LaunchPackage
| This class is used to encapsulate the parameters to Thread::run when they are passed to Thread::launcher.
class | LaunchStatus
| This object atomically sets the specified memory location to non-zero on construction and to zero on destruction.

## Constructor & Destructor Documentation

Thread | ( |  | ) |

| Create new instance.

~Thread | ( |  | ) |

| Destructor.

## Member Function Documentation

static void currentThreadInterrupt | ( |  | ) | `[static]`

| Sets interrupted status for current thread to true.

void ending | ( |  | ) |

void interrupt | ( |  | ) |

| Sets interrupted status to true.

static bool interrupted | ( |  | ) | `[static]`

| Tests if the current thread has been interrupted and sets the interrupted status to false.

bool isActive | ( |  | ) | `[inline]`

bool isAlive | ( |  | ) |

bool isCurrentThread | ( |  | ) | const

void join | ( |  | ) |

void run | ( | Runnable | start,
|  | void * | data
| ) |

| Runs the specified method on a newly created thread.

static void sleep | ( | int | millis | ) | `[static]`

  | Causes the currently executing thread to sleep for the specified number of milliseconds. Parameters:
  | millis | milliseconds.
  Exceptions:
  | Interrupted | Exception if the thread is interrupted.

The documentation for this class was generated from the following file:

- thread.h